### Method

# EDataServer SourceAutoconfig get_revision

since: 3.24

#### Declaration [src]

    const gchar*
    e_source_autoconfig_get_revision (
      ESourceAutoconfig* extension
    )

#### Description [src]

Returns the revision of a data source. This maps a particular version of a system-wide source to a user-specific source.

If doesn’t match, the system-wide source will be copied to the user-specific evolution config directory, preserving the already present fields that are not defined by the system-wide source.

If it matches, no copying is done.

Available since: 3.24

Gets property | `EDataServer.SourceAutoconfig:revision`

#### Return value

Type: `const gchar*`

Revision of the data source.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.